Skip to main content
Get Contacts Note: This API endpoint is deprecated. Please use the Search Contacts endpoint instead.
GET https://services.leadconnectorhq.com/contacts/

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
startAfterId
string
default:"UIaE1WjAwWKdlyD7osQI"
Start After Id
startAfter
number
default:"1603870249758"
Start Afte
query
string
default:"John"
Contact Query
limit
number
default:"20"
Limit Per Page records count. will allow maximum up to 100 and default will be 20

Respuestas

contacts
object[]
count
number
default:"10"
{
  "contacts": [
    {
      "id": "ocQHyuzHvysMo5N5VsXc",
      "locationId": "C2QujeCh8ZnC7al2InWR",
      "email": "JohnDeo@gmail.com",
      "timezone": "Asia/Calcutta",
      "country": "DE",
      "source": "xyz form",
      "dateAdded": "2020-10-29T09:31:30.255Z",
      "customFields": [
        {}
      ],
      "tags": [
        "nisi sint commodo amet",
        "consequat"
      ],
      "businessId": "641c094001436dbc2081e642",
      "attributions": [
        {}
      ],
      "followers": "641c094001436dbc2081e642"
    }
  ],
  "count": 10
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/contacts/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/contacts/', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/contacts/',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);